# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXNewXform

Function

Creates a new Transform Object.

Syntax
`
#include <dx/dx.h>
`

Xform DXNewXform(Object o, Matrix m)

Functional Details

The new Transform Object represents Object `o`, to which a modeling transform Matrix `m` is to be applied.

The modeling transformation is specified as a `Matrix` that is defined as follows:
`
typedef struct
{
float A[3][3]
float b[3];
} Matrix;
`

This definition of a Matrix is sufficient for specifying all 3-dimensional affine transformations (e.g., xA + b, where A is a 3x3 rotation Matrix and b is a 3-dimensional translation vector).

Transforms may be applied hierarchically.

Note: | The transformation is not actually applied when the Transform Object is created.

The Object created can be deleted with DXDelete. See 4.2 , "Memory Management".

Return Value

Returns the Transform Object or returns `NULL` and sets an error code.

See Also

`DXApplyTransform, DXGetXformInfo, DXRotateX, DXRotateY, DXRotateZ, DXScale, DXTranslate, DXMat, DXSetXformObject`

16.4 , "Xform Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]